Page 1 of 1

Which Editor Version recommended for U1?

Posted: 14 Feb 2017, 10:38
by BuddhaMaster
Helo there fellow Unreal 1 Fans!

Its been a while, i got the itching to get back creating a Map for Unreal 1.
Back to the realm of Vertex Fiddling, Rebuild Praying and the Holy Hall of Mirrors.


I lastly released a Doom style Map ans one Wolfenstein 3D type.
I worked on the Myst for Unreal recreation, some 3 years ago (holy s***)

Which Unreal Version is nowadays recommended for creating Maps?
I intend to keep full Unreal 1 (original Assets only) compatibility.

Thank you, BuddhaMaster

Re: Which Editor Version recommended for U1?

Posted: 14 Feb 2017, 14:05
by Preki
The editor from 227 patches. It's a standard UEd 2.0 ported over from UT, but keep in mind there are additional actor classes eg. particle emitters, weather FX, so don't use them if you want your maps compatible (I think) with Unreal 226, the latest official version. Don't use the old retail editor, compared to UEd 2.0 it's a total trainwreck of an editor, I'm personally surprised Epic's team managed to build the original game in it. I remember dicking around this version in the unpatched UT v400 years ago, and it often crashed on rebuilding the level, placing actors or even messing with viewports. And skybox is not rendered when using real-time preview, but that's just a minor thing :P

Re: Which Editor Version recommended for U1?

Posted: 20 Feb 2017, 22:55
by BuddhaMaster
Well, there it is.

Whats the difference of 227h and 227i?

I'm sure there was some inter-incompatibility happening there.
Like 227i seems like some beta-patch.

Quickly, post the answer!

Re: Which Editor Version recommended for U1?

Posted: 20 Feb 2017, 23:07
by UBerserker
227i is the last version of 227 so get that one.

If you use 227-only actors, UT players can't play the map so be warned